Arduino

Buy | Download | Getting Started | Learning | Reference | Hardware | FAQ

Blog » | Forum » | Playground »

Reference Language | Libraries | Comparison | Changes

SPI

## setDataMode()

#### Description

Sets the SPI data mode: that is, clock polarity and phase. See the Wikipedia article on SPI for details.

#### Syntax

SPI.setDataMode(mode)

#### Parameters

mode: SPI_MODE0, SPI_MODE1, SPI_MODE2, or SPI_MODE3

#### Returns

None

#### Example

#### See also

- setBitOrder()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

Share|
Edit Page | Page History | Printable View | All Recent Site Changes